package com.cool.store.sdk.ec.request;

import com.cool.store.sdk.ec.core.EcRequest;
import com.cool.store.sdk.ec.response.UpdateCustomerResponse;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public  class UpdateCustomerRequest  extends EcRequest<UpdateCustomerResponse> {

    @Override
    public String getApiUrl() {
        return "/ec/updateCustomer";
    }

    @Override
    public Class<UpdateCustomerResponse> getResponseClass() {
        return UpdateCustomerResponse.class;
    }
}
